%define libgnomecanvas_version 2.0.1
%define gtk2_version 2.2.0
%define atk_version 1.2.0

Summary: Accessibility implementation for GTK+ and GNOME libraries
Name: gail
Version: 1.2.0
Release: 1
URL: http://developer.gnome.org/projects/gap
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires: atk >= %{atk_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libgnomecanvas >= %{libgnomecanvas_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: atk-devel >= %{atk_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}

%description
GAIL implements the abstract interfaces found in ATK for GTK+ and
GNOME libraries, enabling accessibility technologies such as at-spi to
access those GUIs.


%package devel
Summary: Files to compile applications that use GAIL
Group: Development/Libraries
Requires: %name = %{version}

Requires: gtk2-devel >= %{gtk2_version}
Requires: libgnomecanvas-devel >= %{libgnomecanvas_version}


%description devel
gail-devel contains the files required to compile applications against the GAIL libraries.

%prep
%setup -q

%build

%configure

make ##%{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_libdir}/gtk-2.0

%files devel
%defattr(-,root,root)

%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc

%changelog
* Tue Feb  4 2003 Havoc Pennington <hp@redhat.com> 1.2.0-1
- 1.2.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Alexander Larsson <alexl@redhat.com> 1.1.7-1
- Update to 1.1.7 (needed for gtkhtml)

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- 0.17
- word-wrap the description
- move gtk modules to regular package not -devel
- include gtk-doc documentation

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- add hack to be sure libgailutil.so.15 isn't installed

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.16

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild to fix dependencies

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Jun  6 2002 Havoc Pennington <hp@redhat.com>
- put modules in the file list

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 0.15
- run ldconfig in post/postun

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- rebuild against new libs

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 0.13

* Fri Apr  5 2002 Jeremy Katz <katzj@redhat.com>
- 0.11

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.6
- Rebuild for dependencies

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- 0.5.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


